---
key: fsf
title: Free Software Foundation
category: partners
order: 3
logo: /images/partners/fsf.svg
website: 'https://fsf.org'
lang: tr
socials:
  - icon: twitter
    link: 'https://twitter.com/fsf'
    name: fsf
draft: true
---
The Free Software Foundation (FSF) is a nonprofit with a worldwide mission to promote computer user freedom. We defend the rights of all software users.

As our society grows more dependent on computers, the software we run is of critical importance to securing the future of a free society. Free software is about having control over the technology we use in our homes, schools and businesses, where computers work for our individual and communal benefit, not for proprietary software companies or governments who might seek to restrict and monitor us. The Free Software Foundation exclusively uses free software to perform its work.

The Free Software Foundation is working to secure freedom for computer users by promoting the development and use of free (as in freedom) software and documentation—particularly the GNU operating system—and by campaigning against threats to computer user freedom like Digital Restrictions Management (DRM) and software patents.

The free software movement is one of the most successful social movements to arise from computing culture, driven by a worldwide community of ethical programmers dedicated to the cause of freedom and sharing. But the ultimate success of the free software movement depends upon teaching our friends, neighbors and work colleagues about the danger of not having software freedom, about the danger of a society losing control over its computing.
Our Core Work

The FSF maintains historic articles covering free software philosophy and maintains the Free Software Definition—to show clearly what must be true about a particular software program for it to be considered free software.

The FSF sponsors the GNU Project—the ongoing effort to provide a complete operating system licensed as free software. We also fund and promote important free software development and provide development systems for GNU software maintainers, including full email and shell services and mailing lists. We are committed to furthering the development of the GNU Operating System and enabling volunteers to easily contribute to that work, including sponsoring Savannah the source code repository and center for free software development.

The FSF holds copyright on a large proportion of the GNU operating system, and other free software. We hold these assets to defend free software from efforts to turn free software proprietary. Every year we collect thousands of copyright assignments from individual software developers and corporations working on free software. We register these copyrights with the US copyright office and enforce the license under which we distribute free software — typically the GNU General Public License. We do this to ensure that free software distributors respect their obligations to pass on the freedom to all users, to share, study and modify the code. We do this work through our Free Software Licensing and Compliance Lab.

The FSF publishes the GNU General Public License (GNU GPL), the world's most popular free software license, and the only license written with the express purpose of promoting and preserving software freedom. Other important licenses we publish include the GNU Lesser General Public License (GNU LGPL), the GNU Affero General Public License (GNU AGPL) and the GNU Free Document License (GNU FDL). Read more about our free software licensing and related issues.

The FSF campaigns for free software adoption and against proprietary software. Threats to free software include Digital Restrictions Management (DRM), Software Patents and Treacherous Computing. Find out more about our campaigns, and ways to volunteer.

The FSF also provides important resources to the community including the FSF/UNESCO free software directory.
Support Our Mission

The most important support you can give to free software is to use free software on your own computer and advocate within your business or community for others to adopt it. Subscribe to our monthly newsletter the Free Software Supporter to hear about ways you can get involved.

You can directly support our mission by donating or becoming a card carrying associate member of the Free Software Foundation.
