---
key: ozgur
title: "GNU Taler: the electronic equivalent of coin"
id: 6E03tbU6L5w0IyjMi7yF
language: English
format: keynote
tags:
  - freedom
speakers:
  - ozgur-kesim
draft: false
---
GNU Taler bir özgür yazılım, mahremiyeti koruyan, geliri vergilendirmeyi sağlayan, sahtekar ve yasa dışı iş faaliyetlerini engelleyen elektronik bir ödeme sistemidir. Bu konuşmada GNU Taler'in tasarım ilkeleri tanıtıyoruz ve bunları gerçekleştirmek için teknik altyapısını inceliyoruz.

# GNU Taler'ın Tasarım İlkeleri kısacası

## 1. Özgür Yazılım

GNU Taler, Özgür Yazılım olmalıdır. Tüccarlar için Özgür Yazılımı, satıcıların kilitlenmesini önler; bu, satıcıların ödemelerini işlemek için kolayca başka bir hizmet sağlayıcı seçebileceği anlamına gelir. Ülkeler için Özgür Yazılımı, GNU Taler'ın kısıtlamalar veya gereksinimler getirerek egemenlikten ödün veremeyeceği anlamına gelir.

Müşteriler, Özgür Yazılımından yararlanır çünkü herkes cüzdan yazılımını değiştirmekte özgürdür, ek platformları destekler. Kaynak kodu mevcut olmalı ve izleme veya telemetri gibi kullanıcıya düşman özelliklerin olmadığını doğrulamayı kolaylaştırmalıdır.

## 2. Alıcıların mahremiyetini koruyun

Gizlilik, yalnızca politikaların aksine, teknik önlemlerle garanti edildiğinde en anlamlıdır. Varsayılan olarak gizlilik sağlayan teknik bir katman olmadan, finansal işlemler kişisel veya özel verilerin gereksiz seviyelerini ortaya çıkarır. Bu, özellikle çevrimiçi yayınlar için mikro ödemeler yaparken doğru olacaktır. Bu nedenle, GNU Taler, nüfus üzerinde totaliter kontrolü kolaylaştırmaktan kaçınmak için alıcıların mahremiyetini korumalıdır.

## 3. Denetlenebilirlik - devletin geliri vergilendirmesini ve yasa dışı iş faaliyetlerini durdurmasını sağlar

Bir ödeme sisteminin yasal olarak çalışabilmesi için yerel yasalara uyması gerektiğinden, GNU Taler bu gereksinimlere uyacak şekilde tasarlanmalıdır. GNU Taler, yasalara göre faaliyet gösteren araştırmacılar için bir denetim izi sağlamalıdır. Dahası, vergi alınmasının topluma faydalı olduğunu düşünüyoruz ve adil vergilendirme, gelir şeffaflığı gerektiriyor. Bu nedenle, GNU Taler yetkililerin geliri takip etmesini sağlamalıdır.

## 4. Ödeme sahtekarlığını önleyin

GNU Taler, ödeme sahtekarlığının en yaygın kaynaklarını hafifletmelidir. Yazılım tasarımında en iyi uygulamaları, kafa karışıklığını ve yanıltıcı kullanıcı arayüzlerini önleyen 3. taraf tasarım yönergelerini takip etmeliyiz ve başkalarının halka açık kodumuzu incelemesini sağlamalıyız. Dahası, GNU Taler, tüm tarafların tam olarak kötü davranışı atfetmesini sağlamak için tüm anahtar süreçler için kapsamlı kriptografik kanıt sağlamalıdır.

## 5. Gerekli minimum bilgileri toplayın

Alıcıların mahremiyetine ilke (2)'nin bir parçası olarak özel öncelik verilmektedir. Ancak, tüccarlar gibi diğer tarafların da veri korumasına sahip olması gerekir. Genel olarak, GNU Taler gerekli minimum bilgiyi toplamalıdır: toplanmayan veya artık depolanmayan veriler tehlikeye atılamaz.

## 6. Kullanılabilirliği önemsiyoruz

GNU Taler, bir GNU Taler cüzdanının son kullanıcıları, GNU Taler kullanarak ödeme kabul etmek isteyen tüccarlar ve e-ticaret ve diğer platformlar için 3. taraf uygulama geliştiricileri dahil olmak üzere uzman olmayan müşteriler için kullanılabilir olmalıdır. GNU Taler, en iyi uygulama kullanım kılavuzlarını takip etmeli ve uzmanlardan ve kullanıcılardan gelen geri bildirimleri içermelidir. Özgür Yazılımı, bilinçli seçimlere izin vermek için Özgür belgeleri de gerektirir. GNU Taler, GNU Taler ve diğer projeler arasında sürtünmesiz entegrasyonlara izin vermek için iyi belgelenmiş Uygulama Programlama Arayüzleri (API'ler) sağlamalıdır.

## 7. Verimli ve etkili çalışma ilkemiz

GNU Taler verimli olacak şekilde tasarlanmalıdır. Basitçe söylemek gerekirse, verimlilik daha az kırılacak şey anlamına gelir ve saniyede daha fazla işlem anlamına gelir ve çevresel etkimizi azaltır. Verimlilik, GNU Taler'ın mikro ödemelerde kullanılması için de kritiktir. Bu nedenle, çalışma kanıtı gibi bazı pahalı ilkellerin GNU Taler tarafından kullanılmaması gerekir.

## 8. Hataya dayanıklı tasarım

Kötü niyetli operatörler, şişman parmaklar, bilgisayar hataları, gremlinler. İşler ters gittiğinde ise GNU Taler, tek tek bileşenlerin ve sistemlerin arızalarını tolere edecek şekilde tasarlanmalıdır. Sistemin güvenli bir şekilde çalışmaya devam edebileceği yerlerde, güvenli bir şekilde çalışmaya devam edecektir. Bir işlemi durdurması gerektiğinde, diğer işlemler gereksiz yere çevrimdışı duruma getirilmemelidir. Sistemlerin başarısız olduğu yerlerde, sorunsuz bir şekilde başarısız olmaları gerekir. GNU Taler, temel sırlardan ödün veren kötü niyetli operatörlerden kurtulmak için bir plana sahip olmalıdır.

## 9. Rekabeti teşvik edin

Rakiplerin birlikte çalışabilir alternatifleri kullanması nispeten kolay olmalıdır. Geleneksel finansal sistemlerde bunun önündeki engeller oldukça yüksektir ve kontrolümüzün dışındadır. Ancak GNU Taler, yeni rakiplerin pazara girmesi için gereken teknik yükü en aza indirmelidir.